Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.samples.ServiceDemo
Class TestService

    java.lang.Object
      javacard.framework.service.BasicService
          com.licel.jcardsim.samples.ServiceDemo.TestService

All Implemented Interfaces:
  Service

    public class TestService

extends BasicService

Constructor Summary
`TestService()`

Method Summary
`boolean` | `processCommand(APDU command)`

Methods inherited from class javacard.framework.service.BasicService
`fail, getCLA, getINS, getOutputLength, getP1, getP2, getStatusWord, isProcessed, processDataIn, processDataOut, receiveInData, selectingApplet, setOutputLength, setProcessed, setStatusWord, succeed, succeedWithStatusWord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestService

    public TestService()

Method Detail

### processCommand

    public boolean processCommand(APDU command)

  Specified by:
    `processCommand` in interface `Service`
  Overrides:
    `processCommand` in class `BasicService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD